# GstVulkanError

## Functions

### gst_vulkan_error_quark

    GQuark
    gst_vulkan_error_quark ()

Returns –
No description available

Since : 1.18

### GstVulkan.prototype.vulkan_error_quark

    function GstVulkan.prototype.vulkan_error_quark(): {
        // javascript wrapper for 'gst_vulkan_error_quark'
    }

Returns (GLib.Quark) –
No description available

Since : 1.18

### GstVulkan.vulkan_error_quark

    def GstVulkan.vulkan_error_quark ():
        #python wrapper for 'gst_vulkan_error_quark'

Returns (GLib.Quark) –
No description available

Since : 1.18

### gst_vulkan_error_to_g_error

    VkResult
    gst_vulkan_error_to_g_error (VkResult result,
                                 GError ** error,
                                 const char* format,
                                 ... ...)

if result indicates an error condition, fills out GError with details of the error

Parameters:

`result` –

a VkResult

`error` ( [out][optional][transfer: full]) –

a GError to fill

`format` –

the printf-like format to write into the GError

`...` –

arguments for format

Returns –

result for easy chaining

Since : 1.18

### gst_vulkan_result_to_string

    const char*
    gst_vulkan_result_to_string (VkResult result)

Parameters:

`result` –

a VkResult

Returns –

a message that corresponds to result

Since : 1.22

## Enumerations

### GstVulkanError

##### Members

`GST_VULKAN_FAILED` (0) –

undetermined error

Since : 1.18

### GstVulkan.VulkanError

##### Members

`GstVulkan.VulkanError.FAILED` (0) –

undetermined error

Since : 1.18

### GstVulkan.VulkanError

##### Members

`GstVulkan.VulkanError.FAILED` (0) –

undetermined error

Since : 1.18

## Constants

### GST_VULKAN_ERROR

    #define GST_VULKAN_ERROR (gst_vulkan_error_quark ())

Since : 1.18

The results of the search are